PHP Unconference Europe 2015

ldap_get_option

(PHP 4 >= 4.0.4, PHP 5)

ldap_get_optionLit/écrit la valeur courante d'une option

Description

bool ldap_get_option ( resource $link_identifier , int $option , mixed &$retval )

Définit la valeur retval à l'option spécifié.

Liste de paramètres

link_identifier

Un identifiant de lien LDAP, retourné par la fonction ldap_connect().

option

Le paramètre option peut prendre l'une des valeurs suivantes :

Option Type
LDAP_OPT_DEREF entier
LDAP_OPT_SIZELIMIT entier
LDAP_OPT_TIMELIMIT entier
LDAP_OPT_NETWORK_TIMEOUT entier
LDAP_OPT_PROTOCOL_VERSION entier
LDAP_OPT_ERROR_NUMBER entier
LDAP_OPT_REFERRALS booléen
LDAP_OPT_RESTART booléen
LDAP_OPT_HOST_NAME chaîne de caractères
LDAP_OPT_ERROR_STRING chaîne de caractères
LDAP_OPT_MATCHED_DN chaîne de caractères
LDAP_OPT_SERVER_CONTROLS tableau
LDAP_OPT_CLIENT_CONTROLS tableau

retval

Valeur à définir pour l'option.

Valeurs de retour

Cette fonction retourne TRUE en cas de succès ou FALSE si une erreur survient.

Exemples

Exemple #1 Vérification de la version du protocole

<?php
// $ds doit être une ressource de connexion valide
if (ldap_get_option($dsLDAP_OPT_PROTOCOL_VERSION$version)) {
    echo 
"Nous utilisons le protocole version $version\n";
} else {
    echo 
"Impossible de déterminer la version du protocole.\n";
}
?>

Notes

Note:

Cette fonction n'est disponible qu'avec OpenLDAP 2.x.x OU Netscape Directory SDK x.x, et a été ajoutée en PHP 4.0.4.

Voir aussi

add a note add a note

User Contributed Notes 1 note

up
1
Jeremy S
1 year ago
Here is how to tell if an Active Directory user account expired:

define('LDAP_OPT_DIAGNOSTIC_MESSAGE', 0x0032);

ldap_set_option($conn, LDAP_OPT_PROTOCOL_VERSION, 3);
ldap_set_option($conn, LDAP_OPT_REFERRALS, 0);

$bind = ldap_bind($conn, $user, $pass);

ldap_get_option($conn, LDAP_OPT_DIAGNOSTIC_MESSAGE, $extended_error);

if (!empty($extended_error))
{
    $errno = explode(',', $extended_error)[2];
    $errno = explode(' ', $errno)[2];
    $errno = intval($errno);

    if ($errno == 532)
        $err = 'Unable to login: Password expired.';
}
To Top